> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable Policy Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json post /api/v1/policies/{policy_id}/enable
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/policies/{policy_id}/enable:
    post:
      tags:
        - policies
      summary: Enable Policy Route
      operationId: enable_policy_route_api_v1_policies__policy_id__enable_post
      parameters:
        - name: policy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Policy Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: X-Request-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Request-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PolicyRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        proxy_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        owner_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Owner Id
        name:
          type: string
          title: Name
        category:
          type: string
          title: Category
        summary:
          type: string
          title: Summary
        rego:
          type: string
          title: Rego
        enabled:
          type: boolean
          title: Enabled
        stage:
          type: string
          title: Stage
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - proxy_id
        - org_id
        - owner_id
        - name
        - category
        - summary
        - rego
        - enabled
        - stage
        - created_at
        - updated_at
      title: PolicyRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````